<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listCollections") label="Collections"]]
  [[> Partial:breadcrumbViewEntity entity="Collection" urlparam="collectioniri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="collectioniri" prefix="Collection: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'collectioniri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      ismi_public='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_public'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      notes='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes'
      notes_internal='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/notes_internal'
      preferred_name='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/preferred_name'
      repository='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/part_of_repository'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/collection_record_type'
      record_type_2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/collection_record_type_2'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
    ]]"
    >

    <bs-tab-container 
      id="collection-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>

            <bs-nav-item event-key="collection">
              Collection
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

              <semantic-form-text-input for="notes" multiline="true"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="collection">
              <h3>Collection</h3>
  
              <semantic-form-composite-input for="preferred_name"
                new-subject-template="/name/preferred"
                fields="[[fieldDefinitions
                  label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
                ]]"
              >
                <semantic-form-text-input for="label" languages='["", "en"]'>
                </semantic-form-text-input>
              </semantic-form-composite-input>
              
              <semantic-form-select-input for="repository" ></semantic-form-select-input>

              <mp-field-visualization 
                subject="[[urlParam 'collectioniri']]"
                fields="[[fieldDefinitions 
                    place='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/collection_place_view'
                  ]]"
                template="{{> Partial:fieldBasedVisualisation}}"
                ></mp-field-visualization>

            </bs-tab-pane>

            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editCollection")
                param="collectioniri"
                entityType="Collection"
                redirect=(resolvePrefix ":listCollections")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-checkbox-input for="ismi_public"></semantic-form-checkbox-input>
              <semantic-form-text-input for="notes_internal" multiline="true"></semantic-form-text-input>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>
              <semantic-form-text-input for="record_type_2"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
